/* IMBHeader:  1.0.0
 * Programa:   xescoba.h 
 * Directorio: xescoba-1.2.1/src 
 * Fecha:      Sun Apr 15 16:42:49 CEST 2001 
 * Autor:      Ignacio Martn Bragado.
 * e-mail:     ignacio.martin@tel.uva.es 
 * Mquina:    Linux 
 */

/*************************************************************************
 * Este programa es de libre distribucin; puedes distribuirlo y/o modificarlo
 * bajo los trminos de la GNU General Public License como se public por la
 * Free Software Foundation; bien la versin 2 de la licencia o,  bajo tu
 * criterio, cualquier versin posterior.
 * 
 * Este programa se distribuye con la esperanza de que sea til, pero 
 * SIN NINGUNA GARANTA; sin, incluso, ninguna garanta implicada por
 * MERCANCIBILIDAD o POR ALGN PROPSITO PARTICULAR. Lee la
 * GNU General Public License para ms informacin.
 * 
 * Deberas haber recibido una copia de la GNU General Public License
 * junto con este programa. Si no es as escribe a Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * *****************************************************/

/*############################################################################
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##############################################################################*/

#ifndef _ESCOBA_H_
# define _ESCOBA_H_

# include <libintl.h>
# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# include <gtk/gtk.h>
# include "baraja.h"
# include "jugador.h"
# include "comun.h"

#define _(String) gettext (String)
#define N_(String) (String)

# define MAX_NUM_LINEAS 20
# define TURNO_TURNO 0
# define TURNO_EMPEZAR 1
template<class T>  T CARTA(T x) { return  ((x)%10+1); }
template<class T> T PALO(T x) { return ((x)/10+1); }
# define PUNT_ESCOBA 1
# define PUNT_VELO 1
# define PUNT_SIETES .5
# define PUNT_CARTAS .05
# define PUNT_OROS .2

# define PROB_ESCOBA .2773279
# define PROB_SIETES .2773279
# define PROB_VELO .075

char * piensa(char tengo,char * hay);
void evalua(char * actual,char * hay);
int cuantas(char *hay);
void puntua(char *actual, char *hay);
int cuantos_oros(char *hay);
int cuantos_velos(char *hay);
int cuantos_sietes(char *hay);
int quedan_ocho(char *hay);
void busca_ocho(char *hay,char *monton,char *band);
char * numtocarta(char carta);


char * numtogente(int num);
void func_turno(GtkWidget * widget, gpointer data);
void func_naipes_centro(GtkWidget * widget, gpointer data);
void func_naipes_mano(GtkWidget * widget, gpointer data);


void pon_en_lista(const gchar * texto,const gchar * personaje);
void jugada_no_vale(char *);
GtkWidget * Crea_menu();
void comprueba_configuracion(void);
GtkWidget * crea_un_pixmap(GtkWidget * wid, char num);
int idle_func(gpointer data);
void salir_callback(GtkWidget * widget, gpointer data);
void acercade_callback(GtkWidget * widget, gpointer data);
void licencia_callback(GtkWidget * widget, gpointer data);
void prop_asig_callback(GtkWidget *widget, gpointer data);
void help_callback(GtkWidget *, gpointer);
void pon_fondo_verde(GtkWidget * widget);

#define SONIDO_ERROR 0
#define SONIDO_RISA 1
#define SONIDO_TRAMPA 2
#define SONIDO_CARTA 3
#define SONIDO_REPARTIR 4

#define MENU_SONIDO 1
#define MENU_SUGERENCIAS 2
#define MENU_VERCARTAS 3

struct GLOBAL
{
   int sonido;
   int vercartas;
   int sugerencias;
   GtkWidget * widget_ver_cartas;
   char FICH_CONF[255];
};

void suena(int tipo);

void tira(char carta, jugador &);
void coge(char carta, jugador &);
void pon_centro(jugador * quien);
void pon_mano(jugador * quien);
void pon_ultima_jugada(char *cartitas);
void estado(jugador *jug, baraja * naipes);
void resultados(jugador * gente, int * puntos);
int gentetonum(jugador & quien);

#endif

